/***************************************************************************
 *   Copyright (C) 2007 by Lisandro Damián Nicanor Pérez Meyer             *
 *   perezmeyer@gmail.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef PRACTICO3_H
#define PRACTICO3_H

#include "ui/ui_mainwindow.h"
#include "graphicsscene.h"
#include <QMainWindow>
#include <QList>

// Forward declarations
class QMouseEvent;
class QString;

class Practico3 : public QMainWindow
{
	Q_OBJECT

public:
	Practico3(QWidget * parent = 0);

private:
	/// The user interface
	Ui::MainWindow mainWindow;

	/// The scene
	GraphicsScene scene;
};

#endif
